summaryrefslogtreecommitdiffstats
path: root/games/snes9x2010/snes9x2010.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/snes9x2010/snes9x2010.SlackBuild')
-rw-r--r--games/snes9x2010/snes9x2010.SlackBuild15
1 files changed, 8 insertions, 7 deletions
diff --git a/games/snes9x2010/snes9x2010.SlackBuild b/games/snes9x2010/snes9x2010.SlackBuild
index f4146f82c8..6c29cf9ef2 100644
--- a/games/snes9x2010/snes9x2010.SlackBuild
+++ b/games/snes9x2010/snes9x2010.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for snes9x2010
-# Copyright 2016 Hunter Sezen California, USA
+# Copyright 2016-2017 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
PRGNAM=snes9x2010
LIBNAM=${PRGNAM}_libretro
-VERSION=${VERSION:-2017.02.04_9710b8f}
+VERSION=${VERSION:-2017.12.16_e4c53fe}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -57,10 +57,9 @@ else
LIBDIRSUFFIX=""
fi
-DEBUG=${DEBUG:-0}
-GRIFFIN=${GRIFFIN-0}
+GRIFFIN=${GRIFFIN:-0}
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -75,12 +74,14 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-make -f Makefile.libretro DEBUG=$DEBUG HAVE_GRIFFIN=$GRIFFIN
+[ "${DEBUG:=0}" != 0 ] && DEBUG=1
+
+make -f Makefile.libretro DEBUG=$DEBUG HAVE_GRIFFIN="$GRIFFIN"
install -Dm0644 $LIBNAM.so $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$LIBNAM.so
install -Dm0644 $LIBNAM.info $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$LIBNAM.info
-if [ "$DEBUG" = "0" ]; then
+if [ $DEBUG = 0 ]; then
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
fi